CREATE TABLE IF NOT EXISTS LECTURE_DEANS_GROUP
(
    LECTURE     INTEGER NOT NULL,
    DEANS_GROUP INTEGER NOT NULL
);

ALTER TABLE LECTURE
    DROP COLUMN IF EXISTS GROUP_ID;

ALTER TABLE LECTURE_DEANS_GROUP
    ADD CONSTRAINT FK_LECTURE_LECTURE FOREIGN KEY (LECTURE)
        REFERENCES LECTURE (ID);

ALTER TABLE LECTURE_DEANS_GROUP
    ADD CONSTRAINT FK_LECTURE_DEANS_GROUP FOREIGN KEY (DEANS_GROUP)
        REFERENCES DEANS_GROUP (ID);